.course-lesson-player-widget {
	display: flex;
	flex-wrap: wrap;
}

.course-lesson-player-widget.single-vid {
    justify-content: center;
}

.course-lesson-player-widget p,
.course-lesson-player-widget span {
	margin: 0;
}
/** progress bar **/
.course-lesson-player-widget dd.course_progress {
	background-color: #f0f0f0;
}

.course-lesson-player-widget .course_progress {
	max-width: 50%;
	height: 4px!important;
	margin-right: 0;
	margin-left: auto;
}

.course-lesson-player-widget .lesson-progress-wrap {
    padding: 10px 0 0 0;
    margin-top: auto;
}

.course-lesson-player-widget .main-player {
	flex: 1 1 auto;
	width: 100%;
	max-width: 100%;
	
	background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
	
	min-height: 100px;
}

.course-lesson-player-widget .upnext {
	flex: 1 1 auto;
	overflow-y: scroll;
	height: auto;
	max-height: 450px;
}

.course-lesson-player-widget .upnext--item {
    display: flex;
    padding: 15px 19px;
    align-items: center;
}

.course-lesson-player-widget .upnext--item.vid-unavail {
    opacity: 0.4;
}

.course-lesson-player-widget .upnext--item-count {
    min-width: 35px;
    padding: 0 10px 0 0;
}

.course-lesson-player-widget .upnext--item-video {
    min-width: 110px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.course-lesson-player-widget .upnext--item-title {
    flex: 1 1 auto;
	padding: 0 15px;
    align-self: stretch;
    display: flex;
    flex-direction: column;
}

.course-lesson-player-widget .upnext::-webkit-scrollbar {
  	width: 5px;
  	height: 5px;
}

.course-lesson-player-widget .upnext::-webkit-scrollbar-button {
  	width: 0px;
  	height: 0px;
}

.course-lesson-player-widget .upnext::-webkit-scrollbar-thumb {
  	border: 0px none transparent;
  	border-radius: 50px;
}

.course-lesson-player-widget .upnext::-webkit-scrollbar-track {
  	background: transparent;
  	border: 0px none transparent;
  	border-radius: 50px;
}

.course-lesson-player-widget .upnext::-webkit-scrollbar-track:hover {
  	background: transparent;
}

.course-lesson-player-widget .upnext::-webkit-scrollbar-track:active {
  	background: transparent;
}

.course-lesson-player-widget .upnext::-webkit-scrollbar-corner {
	background: transparent;
}

.upnext--item.active .active-marker {
	display: block;
	align-self: flex-start;
}

.upnext--item:not(.active) .active-marker {
	display: none;
}

@media (min-width: 576px) {
	.course-lesson-player-widget .upnext--item-video {
		min-width: 140px;
		min-height: 80px;
	}
}

@media (min-width: 1200px) {
	.course-lesson-player-widget {
		flex-wrap: nowrap;	
	}
	
	.course-lesson-player-widget .main-player {
		max-width: 800px;
		flex: 1 1 auto;
		min-height: 350px;
	}
}